'use strict';

var _utilHelpers = require('./util/helpers');

(0, _utilHelpers.test)('class name', '.one', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].value, 'one');
    t.equal(tree.nodes[0].nodes[0].type, 'class');
});

(0, _utilHelpers.test)('multiple class names', '.one.two.three', function (t, tree) {
    t.plan(3);
    t.equal(tree.nodes[0].nodes[0].value, 'one');
    t.equal(tree.nodes[0].nodes[1].value, 'two');
    t.equal(tree.nodes[0].nodes[2].value, 'three');
});

(0, _utilHelpers.test)('qualified class', 'button.btn-primary', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].type, 'tag');
    t.equal(tree.nodes[0].nodes[1].type, 'class');
});

(0, _utilHelpers.test)('escaped numbers in class name', '.\\31\\ 0', function (t, tree, d) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].type, 'class');
    t.equal(tree.nodes[0].nodes[0].value, '\\31\\ 0');
});

(0, _utilHelpers.test)('extraneous non-combinating whitespace', '  .h1   ,  .h2   ', function (t, tree) {
    t.plan(6);
    t.equal(tree.nodes[0].nodes[0].value, 'h1');
    t.equal(tree.nodes[0].nodes[0].spaces.before, '  ');
    t.equal(tree.nodes[0].nodes[0].spaces.after, '   ');
    t.equal(tree.nodes[1].nodes[0].value, 'h2');
    t.equal(tree.nodes[1].nodes[0].spaces.before, '  ');
    t.equal(tree.nodes[1].nodes[0].spaces.after, '   ');
});