'use strict';

var _utilHelpers = require('./util/helpers');

(0, _utilHelpers.test)('match tags in the postcss namespace', 'postcss|button', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].namespace, 'postcss');
    t.equal(tree.nodes[0].nodes[0].value, 'button');
});

(0, _utilHelpers.test)('match everything in the postcss namespace', 'postcss|*', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].namespace, 'postcss');
    t.equal(tree.nodes[0].nodes[0].value, '*');
});

(0, _utilHelpers.test)('match any namespace', '*|button', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].namespace, '*');
    t.equal(tree.nodes[0].nodes[0].value, 'button');
});

(0, _utilHelpers.test)('match all elements within the postcss namespace', 'postcss|*', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].namespace, 'postcss');
    t.equal(tree.nodes[0].nodes[0].value, '*');
});

(0, _utilHelpers.test)('match all elements in all namespaces', '*|*', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].namespace, '*');
    t.equal(tree.nodes[0].nodes[0].value, '*');
});

(0, _utilHelpers.test)('match all elements without a namespace', '|*', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].namespace, true);
    t.equal(tree.nodes[0].nodes[0].value, '*');
});

(0, _utilHelpers.test)('match tags with no namespace', '|button', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].namespace, true);
    t.equal(tree.nodes[0].nodes[0].value, 'button');
});

(0, _utilHelpers.test)('match namespace inside attribute selector', '[postcss|href=test]', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].namespace, 'postcss');
    t.equal(tree.nodes[0].nodes[0].value, 'test');
});

(0, _utilHelpers.test)('match namespace inside attribute selector (2)', '[postcss|href]', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].namespace, 'postcss');
    t.equal(tree.nodes[0].nodes[0].attribute, 'href');
});

(0, _utilHelpers.test)('match namespace inside attribute selector (3)', '[*|href]', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].namespace, '*');
    t.equal(tree.nodes[0].nodes[0].attribute, 'href');
});

(0, _utilHelpers.test)('match namespace inside attribute selector (4)', '[|href]', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].namespace, true);
    t.equal(tree.nodes[0].nodes[0].attribute, 'href');
});