'use strict';

var _utilHelpers = require('./util/helpers');

(0, _utilHelpers.test)('tag selector', 'h1', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].value, 'h1');
    t.equal(tree.nodes[0].nodes[0].type, 'tag');
});

(0, _utilHelpers.test)('multiple tag selectors', 'h1, h2', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].value, 'h1');
    t.equal(tree.nodes[1].nodes[0].value, 'h2');
});

(0, _utilHelpers.test)('extraneous non-combinating whitespace', '  h1   ,  h2   ', function (t, tree) {
    t.plan(6);
    t.equal(tree.nodes[0].nodes[0].value, 'h1');
    t.equal(tree.nodes[0].nodes[0].spaces.before, '  ');
    t.equal(tree.nodes[0].nodes[0].spaces.after, '   ');
    t.equal(tree.nodes[1].nodes[0].value, 'h2');
    t.equal(tree.nodes[1].nodes[0].spaces.before, '  ');
    t.equal(tree.nodes[1].nodes[0].spaces.after, '   ');
});