'use strict';

var _utilHelpers = require('./util/helpers');

(0, _utilHelpers.test)('universal selector', '*', function (t, tree) {
    t.plan(2);
    t.equal(tree.nodes[0].nodes[0].value, '*');
    t.equal(tree.nodes[0].nodes[0].type, 'universal');
});

(0, _utilHelpers.test)('lobotomized owl', '* + *', function (t, tree) {
    t.plan(3);
    t.equal(tree.nodes[0].nodes[0].type, 'universal');
    t.equal(tree.nodes[0].nodes[1].type, 'combinator');
    t.equal(tree.nodes[0].nodes[2].type, 'universal');
});

(0, _utilHelpers.test)('extraneous non-combinating whitespace', '  *   ,  *   ', function (t, tree) {
    t.plan(6);
    t.equal(tree.nodes[0].nodes[0].value, '*');
    t.equal(tree.nodes[0].nodes[0].spaces.before, '  ');
    t.equal(tree.nodes[0].nodes[0].spaces.after, '   ');
    t.equal(tree.nodes[1].nodes[0].value, '*');
    t.equal(tree.nodes[1].nodes[0].spaces.before, '  ');
    t.equal(tree.nodes[1].nodes[0].spaces.after, '   ');
});

(0, _utilHelpers.test)('qualified universal selector', '*[href] *:not(*.green)', function (t, tree) {
    t.plan(3);
    t.equal(tree.nodes[0].nodes[0].value, '*');
    t.equal(tree.nodes[0].nodes[3].value, '*');
    t.equal(tree.nodes[0].nodes[4].nodes[0].nodes[0].value, '*');
});